# !/usr/bin/python
# -*- coding: utf-8 -*-

# nublo
# a redefinition of senses
        
__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Button background texture"

import math
import clutter
import cairo
from cluttercairo import CairoTexture

class Texture(CairoTexture):
    """ Creates a CairoTexture based on a given SVG """

    def __init__(self, width, height):
        
        CairoTexture.__init__(self, width, height)
        
        self.width = width
        self.height = height
        
        self.context = self.cairo_create()
        
        #self.context.set_line_width(self.height * 0.01)
        #self.context.set_source_rgba(1.0, 1.0, 1.0, 1.0)
        #self.context.rectangle(0.0, 0.0, self.width, self.height)
        
        linpat = cairo.LinearGradient(self.width / 2.0, 0.0, self.width / 2.0, self.height);
        linpat.add_color_stop_rgba (0.0,  0.9, 0.9, 0.9, 1.0);
        linpat.add_color_stop_rgba (1.0,  0.5, 0.5, 0.5, 1.0);

        
        self.context.arc(self.height * 0.2, self.height * 0.2, 
                         self.height * 0.2, math.pi, 3.0 * math.pi / 2.0)
        self.context.line_to(self.width - (self.height * 0.2), 0.0)
        self.context.arc(self.width - (self.height * 0.2),
                         self.height * 0.2, 
                         self.height * 0.2, 
                         3.0 * math.pi / 2.0, 
                         0.0)
        self.context.line_to(self.width, self.height - (self.height * 0.2))
        self.context.arc(self.width - (self.height * 0.2),
                         self.height - (self.height * 0.2), 
                         self.height * 0.2, 
                         0.0, 
                         math.pi / 2.0)
        self.context.line_to(self.height * 0.2, self.height)
        self.context.arc(self.height * 0.2,
                         self.height - (self.height * 0.2), 
                         self.height * 0.2, 
                         math.pi / 2.0, 
                         math.pi)
        
        self.context.close_path()
        #self.context.set_source_rgba(0.0, 1.0, 0.0, 1.0)
        self.context.set_source(linpat)
        self.context.fill()
        
        self.context.stroke()
        del self.context
          
    def resize(self, width, height):

        pass
        
