# !/usr/bin/python
# -*- coding: utf-8 -*-

# nublo
# a redefinition of senses
        
__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Button background texture"

import math
import clutter
import cairo
from cluttercairo import CairoTexture

class Texture(CairoTexture):
    """ Creates a CairoTexture based on a given SVG """

    def __init__(self, width, height):
        
        CairoTexture.__init__(self, width, height)
        
        self.width = width
        self.height = height
        
        self.context = self.cairo_create()
        
        linpat = cairo.LinearGradient(0, 0, self.width, self.height)
        linpat.add_color_stop_rgba(0, 0, 0.3, 0.8, 1)
        linpat.add_color_stop_rgba(1, 0, 0.8, 0.3, 1) 
        
        radpat = cairo.RadialGradient(self.width / 2.0, self.height, self.height * 0.25, self.width / 2.0, self.height, self.height * 0.75) 
        radpat.add_color_stop_rgba(0, 0, 0, 0, 1)
        radpat.add_color_stop_rgba(0.5, 0, 0, 0, 0)
        
        self.context.close_path()
        self.context.set_source(linpat)
        self.context.mask(radpat)
        self.context.fill()
        
        self.context.stroke()
        del self.context
          
    def resize(self, width, height):

        pass
        
