# !/usr/bin/python
# -*- coding: utf-8 -*-

# nublo
# a redefinition of senses
        
__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Slider filled area texture"

import math
import clutter
import cairo
from cluttercairo import CairoTexture

class Texture(CairoTexture):
    """ A CairoTexture for the filled area of a slider """

    def __init__(self, width, height):
        
        if width is 0 or height is 0:
            width = 1
            height = 1
        
        CairoTexture.__init__(self, width, height)
        
        self.width = width
        self.height = height
        
        self.context = self.cairo_create()
        
        self.context.set_line_width(self.height * 0.1)
        self.context.set_source_rgba(1.0, 1.0, 1.0, 1.0)
        #self.context.rectangle(0.0, 0.0, self.width, self.height)
        
        dot_offset = self.width / 10.0
        for i in xrange(10):
            self.context.move_to(dot_offset * i, self.height / 2.0)
            self.context.stroke()
            
        
        self.context.close_path()
        
        self.context.stroke()
        del self.context
          
    def update(self):

        pass
        
