# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the horizontal box widget"

import os
import sys

# Change sys path to glitter path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

from window import Window

import gtk
import clutter

from window import Window
from box import HBox
from label import Label
from image import Image

class TestHBox(object):
    """ Tests for the horizontal box widget """
    
    def __init__(self):
        """ Initialize test """
        
        self.window = Window("Glitter tests")
        self.window.connect("destroy", self.destroy)

        self.stage = self.window.get_stage()
        self.stage.connect('notify::width', self.do_resize)
        self.stage.connect('notify::height', self.do_resize)
                
        self.hbox = HBox()
        self.hbox.spacing = 0.0
        self.stage.add(self.hbox)
        self.hbox._update_layout()
        
        self.image2 = Image("base.py")
        self.image2.h_offset = 0.1
        self.hbox.pack(self.image2)
        
        self.window.show_all()
        gtk.main()

    def do_resize(self, stage, event):
        self.hbox._update_layout()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

        
if __name__ == '__main__':
    TestHBox()
