# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the button widget"

import os
import sys

# Change sys path to glitter path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

from window import Window

import gtk

from button import Button

class TestButton(object):
    """ Tests for the button widget """
    
    def __init__(self):
        """ Initialize test """
        
        self.window = Window("Glitter tests")
        self.window.connect("destroy", self.destroy)

        self.stage = self.window.get_stage()
        self.stage.connect('notify::width', self.do_resize)
        self.stage.connect('notify::height', self.do_resize)
        
        self.button = Button(icon="test.svg", text="Hello")
        self.stage.add(self.button)
        self.button._update_layout()
        
        #self.button.icon = None
        #self.button.icon = "test2.svg"
        #self.button.text = None
        #self.button.text = "Terve"
        
        self.window.show_all()
        gtk.main()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

    def do_resize(self, stage, event):
        self.button._update_layout()
        
if __name__ == '__main__':
    TestButton()
