# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the container widget"

import os
import sys

import clutter

# Change sys path to glitter path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

from container import Container 

class TestContainer(object):
    """ Tests for the container widget """
    
    def __init__(self):
        """ Initialize test """
        
        self.stage = clutter.Stage()
        self.stage.set_size(100, 100)
        
        self.container = Container()
        self.stage.add(self.container)
        self.container.natural_x = 0.5
        self.container.natural_width = 0.5
        self.container.natural_height = 0.5
        self.container._update_layout()
        
        assert self.container.get_x() == 50
        assert self.container.get_width() == 50
        assert self.container.get_height() == 50
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

        
if __name__ == '__main__':
    TestContainer()
