# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the frame widget"

import os
import sys

# Change sys path to glitter path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

from window import Window

import gtk

from window import Window
from frame import Frame
from image import Image

class TestFrame(object):
    """ Tests for the frame widget, depends on Image widget """
    
    def __init__(self):
        """ Initialize test """
        
        self.window = Window("Glitter tests")
        self.window.connect("destroy", self.destroy)

        self.stage = self.window.get_stage()
        self.stage.connect('notify::width', self.do_resize)
        self.stage.connect('notify::height', self.do_resize)
        
        self.frame = Frame()
        self.stage.add(self.frame)
        self.frame._update_layout()
        
        self.image = Image("button_background_texture_normal.py")
        self.frame.add(self.image)
        
        self.window.show_all()
        gtk.main()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

    def do_resize(self, stage, event):
        self.frame._update_layout()
        
if __name__ == '__main__':
    TestFrame()
