# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Test for complex layouts"

import os
import sys

# Change sys path to glitter path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

from window import Window

import gtk

from window import Window
from frame import Frame
from box import *
from toolbar import Toolbar
from slider import Slider
from floating_button import FloatingButton

class TestLayout(object):
    """ Tests for the vertical box widget """
    
    def __init__(self):
        """ Initialize test """
        
        self.window = Window("Glitter tests")
        self.window.connect("destroy", self.destroy)

        self.stage = self.window.get_stage()
        self.stage.connect('notify::width', self.do_resize)
        self.stage.connect('notify::height', self.do_resize)
                
        self.frame = Frame()
        self.stage.add(self.frame)        
        self.frame._update_layout()
        
        self.toolbar = Toolbar()
        self.frame.add(self.toolbar)
        self.toolbar.natural_width = 0.8
        self.toolbar.natural_height = 0.2
        self.toolbar.natural_x = 0.1
        self.toolbar.natural_y = 0.7
        
        self.vbox = VBox()
        self.toolbar.pack(self.vbox)
        
        self.slider = Slider(1.0)
        self.toolbar.pack(self.slider)
        self.slider.h_offset = 0.2
        
        self.window.show_all()
        gtk.main()

    def do_resize(self, stage, event):
        self.frame._update_layout()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

        
if __name__ == '__main__':
    TestLayout()
