# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Toolbar widget"

import gobject

from widget import *
from container import Container
from image import Image
from box import HBox

class Toolbar(HBox):
    """ 
    A toolbar widget offers an overlay container for displaying tools and 
    should be placed over the actual content the tools refer to.
    
    An example for this are overlay controls in a playing video.
    
    """
    
    def __init__(self):
        """ Initialize toolbar widget """
        
        self._background_image = None
        
        super(Toolbar, self).__init__()

    def _init_elements(self):
        """ Initializes graphical elements """
        
        self._background_image = Image()
        self.add(self._background_image)
        
    def _update_style(self, props=None):
        """ Updates style """
        
        super(Toolbar, self)._update_style(props)

        for key, value in props:
            if key == 'background-image':
                if not self._background_image:
                    self._background_image = Image()
                    self.add(self._background_image)  
                self.background_image = value
                self._background_image.set_source(self.background_image)
                self._background_image._update_layout()    
        
    def _update_layout(self):
        """ Updates layout """
        
        super(Toolbar, self)._update_layout()
        
        self._background_image._update_layout() 
            
        
    

